#include <windows.h>

bool touch_file(const wchar_t *filename)
{
	HANDLE		hFile;
	SYSTEMTIME	st;
	FILETIME	ft;

	hFile = CreateFileW(filename, GENERIC_WRITE,
		FILE_SHARE_READ | FILE_SHARE_WRITE, 0, OPEN_EXISTING, 0, 0);

	if( INVALID_HANDLE_VALUE == hFile )
		return false;

	GetSystemTime(&st);
	SystemTimeToFileTime(&st, &ft);

	bool result = (0 != SetFileTime(hFile, 0, 0, &ft));
	CloseHandle(hFile);

	return result;
}


void entry32()
{
	wchar_t **argv;
	int		argc;

	argv = CommandLineToArgvW(GetCommandLineW(), &argc);

	if( (argc < 2) || !argv)
		ExitProcess(EXIT_FAILURE);
	
	if(touch_file(argv[1]))
		ExitProcess(EXIT_SUCCESS);
	else
		ExitProcess(EXIT_FAILURE);
}
